I’ve been struggling with lava support for Firefox after upgrading from Ubuntu 7.10 to 8.04. All I had to do was to remove the package called icedtea-gcjwebplugin. Now, I don’t know my way around Java anymore, but at least it did the trick. Worth a shot if you have problems.

Update:

John has some more information on this issue if the above didn’t do the trick:

I also needed to link to the new plugin….

cd /usr/lib/firefox-3.0/plugins$
sudo ln -s /usr/lib/jvm/java-6-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so

Thanks John!

[tags]Java,Firefox,Ubuntu[/tags]

36 Responses to “Firefox java problem with Ubuntu 8.04 Solved!”

  1. IcedTea is deprecated in Ubuntu 8.04, it is replaced by openjdk6.

  2. It certainly solved my problem. Thank you for good advice!

  3. [...] Eirik Hoem’s Blog had the answer to my problem: I’ve been struggling with lava support for Firefox after upgrading from Ubunut 7.10 to 8.04. All I had to do was to remove the package called icedtea-gcjwebplugin. Now, I don’t know my way around java anymore, but at least it did the trick. Worth a shot if you have problems. [...]

  4. I installed Java-6, didnt work. I tried all kinds of linking… etc. I just chucked all the openJDK stuff from synaptic and let mozilla install java-5 and it worked. AND THEN I FOUND THIS BLOG!!!!! Hahahaaaa, life is cruel.

    Good call, Eirik

  5. Kicked Butt. This did the trick. Thank you!!

  6. Eirik – cheers – that was a perfect fix. I also needed to link to the new plugin….

    cd /usr/lib/firefox-3.0/plugins$
    sudo ln -s /usr/lib/jvm/java-6-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so

  7. I’m just happy to share the word!

    John: I added your additional information to my original post. Thanks!

  8. Can’t believe that this big of a problem wouldn’t be involved with a fix from Ubuntu directly!!

    Thanks though, saved my whole dept trying to access timesheets, lol.

  9. Thank you so much, resolved my problem. Thanks again.

  10. Thanks again from another random googler. I’ve been without a java plugin for awhile

  11. Thanks! I’ve been struggling with getting Java to work with Firefox 3 and Ubuntu 8.04 and this did the trick! Sometimes it’s better to leave (OSS) ideology aside and use what works.

    Arto

  12. Just glad to help. Spread the word :)

  13. Your a genius! Ive been trying for over a week to solve this. Works like a charm

  14. I kinda suspected this to work as I found that Firefox kept using that bloody icedtea-plugin despite me having deactivated it…

    Thanks.

  15. I started using Ubuntu (and linux) yesterday, so I am really, really new.

    How do I uninstall the mentioned package?

    Thanks for your help.

  16. Outstanding, thank you.

  17. David search for it under System – Administration – synaptic package manager :-)

    if you need java look here http://openjdk.java.net/install/

    thx for the info Eirik : )

  18. Go into System –> Administration –> Synaptic Package Manager, click that.
    Opens up dialog box (may ask for your password again first), this is your package manager.
    Hit “Search”, enter “java”, hit enter key.
    Scroll down til you see the package that needs removing, if its check box is green, click on that, select “Mark for complete removal”. If it is not already highlighted you do not have that package installed.

  19. Java in 8.04 is completely broke, they deprecated all the plugins and IcedTea doesn’t work at all. Java5 no longer avail, Java6 plugin disabled. I’m pretty sure it only works if you upgrade from an older Ubuntu, the plugin files above are no longer available. That should learn me to not use an ‘unstable’ OS on a production machine.

  20. Seems like this is broken again after upgrading to 8.10. I’ve yet to find a solution for it, but people suggest downgrading from Java 1.6 to 1.5.

    I’ll do some tests later today and see if I can figure out a working hack.

  21. worked for me if you point to mozilla, I think this changes with hardy as I has similar issue with flash plugin.

    lee@lee-desktop:/usr/lib/mozilla/plugins$ sudo ln -s /usr/lib/jvm/java-6-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so

  22. Hello! simply super resource

  23. thanks….it works like a charm….

  24. [...] I had already installed Sun’s Java implementation following the instructions I wrote about earlier. Then I had to use this trick which I found thanks to Eirik Hoem. [...]

  25. Instead of putting in links, you can just install the package sun-java6-plugin (or version 5 one)

  26. [...] Men der er jo altid rettelser. Den første jeg er stødt på er at for at javaen virker i Firefox så fyr lige denne kommando  sudo ln -s /usr/lib/jvm/java-6-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so (Fundet på siden http://blog.eirikhoem.net/index.php/2008/04/30/firefox-java-problem-with-ubuntu-804-solved/) [...]

  27. I am having issues with java and ubuntu/linux operating system. Java is installed and it is version 6 and not sure of the rest, but I think it is the .0.7 one although it might be 13. I have tried everything there is to try to get it to work correclty and it won’t. I have tried everything in the forums and still not working right. I have even uninstalled and reinstalled it to no avail. It acts like it wants to run, but won’t start the game. It will run the advertisement in the game window, but not the actual game. Someone please help!!!!

  28. [...] I needed to install a Java plugin for Firefox under Ubuntu 9.04 (beta). This didn’t happen by itself when I installed sun-java6-plugin, but a quick search showed me what Eirik Hoem found out a year ago. [...]

  29. Ivar N :
    It certainly solved my problem. Thank you for good advice!

    i am having issues with java in ubuntu OS. i have installed the java 6.0 in ubuntu but at time of using java in firefox one error is coming “java applet required ” can anyone resolve my issue..

  30. Ivar N :
    It certainly solved my problem. Thank you for good advice!

  31. i am having issues with java in ubuntu OS. i have installed the java 6.0 in ubuntu but at time of using java in firefox one error is coming “java applet required ” can anyone resolve my issue..

  32. Shammi,

    There are instructions at

    http://buck-nasty.blogspot.com/2010/02/installing-firefox-36-and-java-618.html

    in the Making Java work properly with Firefox 3.6 part. Essentially, you need to download & install a new java vm for the plugin to work outlining these steps:

    Download sun java 1.6 update 21, save it to home dir

    sudo -s
    cd /usr/lib/jvm
    mv java-6-sun java-6-sun.bak
    mkdir java-6-sun-1-6.0.21
    ln -s java-6-sun-1-6.0.21 java-6-sun
    cd java-6-sun
    cp /home/user/jre-6u21-linux-i586.bin .
    chmod 777 jre-6u21-linux-i586.bin
    ./jre-6u21-linux-i586.bin
    mv jre1.6.0_21 jre

    goto /usr/lib/firefox-addons/plugins
    rm libjavaplugin_oji.so
    ln -s /usr/lib/jvm/java-6-sun/jre/lib/i386/libnpjp2.so .

  33. Thank you!!
    Using the libnpjp2.so for linking was the only way I could make ir work!!!

    Thank YOU !!

    Keith :
    Shammi,
    There are instructions at
    http://buck-nasty.blogspot.com/2010/02/installing-firefox-36-and-java-618.html
    in the Making Java work properly with Firefox 3.6 part. Essentially, you need to download & install a new java vm for the plugin to work outlining these steps:
    Download sun java 1.6 update 21, save it to home dir
    sudo -s
    cd /usr/lib/jvm
    mv java-6-sun java-6-sun.bak
    mkdir java-6-sun-1-6.0.21
    ln -s java-6-sun-1-6.0.21 java-6-sun
    cd java-6-sun
    cp /home/user/jre-6u21-linux-i586.bin .
    chmod 777 jre-6u21-linux-i586.bin
    ./jre-6u21-linux-i586.bin
    mv jre1.6.0_21 jre
    goto /usr/lib/firefox-addons/plugins
    rm libjavaplugin_oji.so
    ln -s /usr/lib/jvm/java-6-sun/jre/lib/i386/libnpjp2.so .

Leave a Reply

(required)

(required)

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong> <pre lang="" line="" escaped="" highlight="">